n = int(input())
heights = list(map(int, input().split()))
costs = list(map(int, input().split()))

# Инициализируем минимальную стоимость
min_cost = costs[0]
prev_col = heights[0]

# Проходим по колоннам, начиная со второй
for i in range(1, n):
    if heights[i] > prev_col:
        # Если текущая колонна выше, устанавливаем крышу на текущей
        min_cost += costs[i]
        prev_col = heights[i]

print(min_cost)